#!/etc/opt/openit/perl

##################################################################
# Applies the following updates to daft.conf
# Adds max-record.size.licpoll2 in filtrator
##################################################################

BEGIN {
	if ($^O ne 'MSWin32') {
		push(@INC, "/opt/openit/lib");
		$ENV{'OPENIT_CFG'} = "/etc/opt/openit/openit.cfg"; 
	} 
	push(@INC, $ENV{'ALTUS'} . "/src/perl/source" ); 
}

use OpeniT::Config;
use strict;

require "./files/conf_helper.pl";

my $CONFIG_DIR = &OpeniT::Config::CONFIG_DIR();
my $file = $CONFIG_DIR;

##################################################################
# Instructions
##################################################################

$file .= "/daft.conf";
read_file($file);

print "Modifying $file\n";

format_conf();

insert_object(
	"flab-productname(Bool)=\"false\"{}", 
	"archiver",
	"append"
);

set_object_value("archiver.flab-productname", "false");