#!/bin/sh

# Check first if "allow-multiples=yes" is existing before insertion

. /tmp/openit-cfg-shenv

file=$CONFIG_DIR/flc_exceptions
multiples=`grep allow-multiples $file`

#check if not yet existing
if [[ -z "$multiples" ]]; then
        printf "Inserting missing allow-multiples=yes\n"
        printf "allow-multiples=yes\n" | cat - $file > temp && mv -f temp $file
else
        printf "Nothing to add.\n"
fi

exit 0